* E Posta Adresiniz:
* Kodu Girin:

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 84 < [85] Sonraki Sayfa
İleti Yazar
25.08.2017 19:13
85429    
ehya

[90] Yönetici

Online Durumu

3192 ileti
Teknik Ressam
Ankara

waytooraider






Kod:

(defun c:lw0 ()
(if (setq ss (ssget))(command ".change" ss "" "p" "lw"  "0" ""))(princ))

06.09.2017 10:25
85460    
CAN123

[8] Kıdemli Uzman

Online Durumu

119 ileti
Teknik Ressam
ANKARA

Merhaba,

Lispe yine ihtiyacım oldu. Yardımcı olabilirmisiniz.

teşekkür ederim



Alıntı
CAN123 :
Arkadaşlar merhaba,

Eğer mümkünse pozu ve çerçevesini seçtikten sonra belirleyeceğim 1. ve 2. noktaya göre quick leader çizip pozuda ucuna eleyecek bir lisp isteğim olacak.

Not: Eğer 2. nokta 1. noktanın sağında kalıyorsa 1. detaydaki gibi atmasını, eğer solunda ise 2. detaydaki gibi atmasını istiyorum. Birde işlemden sonra seçtiğim pozu ve çerçevesini de silmesini istiyorum.

Teşekkür ederim



18.01.2018 20:38
85942    
ibrikci

[2] Girişimci

Online Durumu

3 ileti

Arkadaşlar selam,

Elimde 1000 kadar ağaç koordinatı ve çapları var,

"nn,y,x,çap" şeklinde

txt dosyasından Çapı ve merkez koordinatları belli daireleri çizdirmek istiyorum.

Yardımcı olabilirseniz çok sevinirim.

Saygılar...

19.01.2018 01:32
85944    
alumina

[70] Editör

Online Durumu

630 ileti
Insaat Muhendisi
Istanbul

Alıntı
ibrikci :

text dosyasindan ilk uc sirayi kopyalayip buraya atar misiniz. "nn" nin ne oldugu anlasilmadi.

20.01.2018 13:01
85959    
ibrikci

[2] Girişimci

Online Durumu

3 ileti

Alıntı
alumina :
Alıntı
ibrikci :

text dosyasindan ilk uc sirayi kopyalayip buraya atar misiniz. "nn" nin ne oldugu anlasilmadi.



İlginiz için çok teşekkür ederim.
Nn nokta numarası (olmasada olur)
Y koordinatı, X koordinatı, Çap
Arada şu an boşluk var ama programlama açısından nasıl kolay oluyorsa o şekilde düzenleyebilirim.
txt(boşluk veya virgül ile ayrılmış), xls vs...

501 481601.644 4412514.360 3
502 481606.195 4412515.331 2.5
503 481612.532 4412516.368 10

20.01.2018 20:57
85964    
makinist54

[2] Girişimci

Online Durumu

8 ileti
makina tekniker
istanbul

Alıntı
ibrikci :
Alıntı
alumina :
Alıntı
ibrikci :

text dosyasindan ilk uc sirayi kopyalayip buraya atar misiniz. "nn" nin ne oldugu anlasilmadi.



İlginiz için çok teşekkür ederim.
Nn nokta numarası (olmasada olur)
Y koordinatı, X koordinatı, Çap
Arada şu an boşluk var ama programlama açısından nasıl kolay oluyorsa o şekilde düzenleyebilirim.
txt(boşluk veya virgül ile ayrılmış), xls vs...

501 481601.644 4412514.360 3
502 481606.195 4412515.331 2.5
503 481612.532 4412516.368 10


excel de fx (formül) kulanarak elinde bulunan verileri
C 481601.644,4412514.36 d 3
C 481606.195,4412515.331 d 2.5
C 481612.532,4412516.368 d 10
olacak şekilde veri haline getirmek ve autocadde commad satırına yapıştırman yeterlidir

benim formulde e2 (c)cap komutu , b2 y kordinati, c2 x kordinati, d cap veya yarı cap degiskeni , d2 ise yaricapdeğeri
=E2&" "&B2&","&C2&" d "&D2

20.01.2018 22:39
85965    
ibrikci

[2] Girişimci

Online Durumu

3 ileti

Çok teşekkür ederim makinist54, tek tek girmeyi düşünüyordum.




Alıntı
makinist54 :
Alıntı
ibrikci :
Alıntı
alumina :
Alıntı
ibrikci :

text dosyasindan ilk uc sirayi kopyalayip buraya atar misiniz. "nn" nin ne oldugu anlasilmadi.



İlginiz için çok teşekkür ederim.
Nn nokta numarası (olmasada olur)
Y koordinatı, X koordinatı, Çap
Arada şu an boşluk var ama programlama açısından nasıl kolay oluyorsa o şekilde düzenleyebilirim.
txt(boşluk veya virgül ile ayrılmış), xls vs...

501 481601.644 4412514.360 3
502 481606.195 4412515.331 2.5
503 481612.532 4412516.368 10


excel de fx (formül) kulanarak elinde bulunan verileri
C 481601.644,4412514.36 d 3
C 481606.195,4412515.331 d 2.5
C 481612.532,4412516.368 d 10
olacak şekilde veri haline getirmek ve autocadde commad satırına yapıştırman yeterlidir

benim formulde e2 (c)cap komutu , b2 y kordinati, c2 x kordinati, d cap veya yarı cap degiskeni , d2 ise yaricapdeğeri
=E2&" "&B2&","&C2&" d "&D2

23.02.2018 14:42
86068    
aleksi

[2] Girişimci

Online Durumu

1 ileti

Merhaba arkadaşlar. Elimden geldiğince aradım ancak istediğim bir lisp bulamadım. Yazabilmek için de daha çok yolum olduğu kanısına vardıktan sonra pes ederek yardımlarınızı rica ediyorum.
İhtiyacım olan şey havalandırma kanal borularının metrekarelerini hesaplayabilmek için belirlediğim çizgiyi bir hücreye, sonrasında seçecek olduğum text i de hemen yanına ekleyebilecek bir lisp. Bunların dahilinde çizim içerisinde ki dirsek kısımlarının ekseninden (ya da dirseğin bulunduğu alanın hipotenüsüne) line oluşturabilecek bir lisp.
Yardımcı olabilirseniz ya da sayfada bulunan lispin linkini gönderebilirseniz çok memnun kalırım. Teşekkürler
edit: KaMe lipsini bulmuş bulunmaktayım an itibari ile. ancak hala redüksiyon ve dirseklere bir çözüm bulmakta zorlanıyorum. Yapılacak olan işlemler çok olduğu için işi biraz otomasyona bırakıp sadece kontrol kısmıyla ilgilenmek daha avantajlı şuan proje için. Bu yüzden redüksiyonlarda dikey dirseklerde ise çapraz bir çizgi çekebilecek bir lips oluşturulabilir mi diye sorumu değiştirmek isterim


aleksi (23.02.2018 15:20 GMT)

26.02.2018 16:53
86083    
onderbengu05

[2] Girişimci

Online Durumu

13 ileti

Merhaba arkadaşlar,

Bir lispin içinde kullanılmak üzere dynamic blok olarak seçilen bir nesnenin uzunluğunun bir değişkene atandığı yönergeyi gönderebilir misiniz?

Ekte dinamik blok çizimini gönderiyorum.
401437-dinamik-blok.dwg

26.02.2018 17:02
86084    
Travaci

[70] Editör

Online Durumu

2099 ileti
Teknik Ressam
Konstantinopol

onderbengu05


Kod:

(if (setq ob (car (entsel "\nSelect obj:")))
  (foreach ab (vlax-invoke (vlax-ename->vla-object ob) 'getdynamicblockproperties)
    (if (eq (vla-get-propertyname ab) "Distance1")
      (setq xx (vlax-variant-value (vlax-get-property ab 'value)))
    )
  )
)

26.02.2018 17:25
86085    
onderbengu05

[2] Girişimci

Online Durumu

13 ileti

Alıntı
Travaci :
onderbengu05


Kod:

(if (setq ob (car (entsel "\nSelect obj:")))
  (foreach ab (vlax-invoke (vlax-ename->vla-object ob) 'getdynamicblockproperties)
    (if (eq (vla-get-propertyname ab) "Distance1")
      (setq xx (vlax-variant-value (vlax-get-property ab 'value)))
    )
  )
)




Yardımlarınız için teşekkür ederim
İşyerindeki bilgisayarıma Zwcad var getdynamicblokcproperties komutunu kabul etmiyor. Bunun duşunda bir çözümü var mıdır.
Program Quickproperties menüsünden metrajı girip radyatör boyutunu uzatıp kısaltıyor.

Saygılar...

27.02.2018 11:02
86086    
Travaci

[70] Editör

Online Durumu

2099 ileti
Teknik Ressam
Konstantinopol

onderbengu05


Dxf kodlarıylada ulaşılıyor ama incelemek lazım, müsait bir zamanda bakarız umarım.

06.03.2018 09:44
86107    
elaura

[2] Girişimci

Online Durumu

4 ileti
İnşaat Teknikeri
İstanbul

Merhaba arkadaşlar.

Seçtiğim öğeleri belirli bir layer'a aktaracak bir lisp arıyorum. Forumda bu konuyla ilgili arama yaptım fakat bi sonuca ulaşamadım. Yardımcı olabilirseniz sevinirim.

Not: Komutu çalıştırdıktan sonra uygulanabildiği gibi, komutu çalıştırmadan önce seçtiğim öğelere de direkt olarak uygulanabilirse daha iyi olur.
Örneğin; "Join" komutu. Önce line'ları seçip, daha sonra komutu yazdığımızda, tekrar seçmemizi istemeden seçili öğeleri birleştirebiliyor.


elaura (06.03.2018 09:52 GMT)

06.03.2018 09:54
86108    
ehya

[90] Yönetici

Online Durumu

3192 ileti
Teknik Ressam
Ankara

elaura




Belirli bir layer nedir? Sabit bir layer mı? Yoksa kendiniz mi belirteceksiniz?

06.03.2018 10:38
86109    
Travaci

[70] Editör

Online Durumu

2099 ileti
Teknik Ressam
Konstantinopol

elaura


Laymcur komutu ile seçtiğiniz nesneleri current layer açevirebilirsiniz.

06.03.2018 12:04
86110    
elaura

[2] Girişimci

Online Durumu

4 ileti
İnşaat Teknikeri
İstanbul

@Ehya
Mesela, lisp'i başlattığımda otomatik olarak "Kontrol" adında bir layer oluşturacak ve layer rengini de "C150" olarak belirleyecek.

@Travaci
Laymcur'u biliyorum fakat istediğim lisp mevcut layer'ımı değiştirmek için değil; bir objeyi, lisp içerisinde belirlenmiş olan layer'a taşımak. Bunun için Matchprop diyebilirsiniz belki fakat onda da referans olarak bir obje bulundurmam gerekiyor ve bu yeterince hızlı olmuyor. Aynı zamanda objenin diğer özelliklerini de aktarmış oluyor ki, benim istediğim sadece layer'ını değiştirmesi.


elaura (06.03.2018 13:48 GMT)

06.03.2018 13:50
86111    
ehya

[90] Yönetici

Online Durumu

3192 ileti
Teknik Ressam
Ankara

Kod:

(defun c:RD ()
(if (setq ss (ssget ":L"))
    (progn
        (if (not (tblsearch "layer" "kontrol"))
            (progn
            (entmake '((0 . "LAYER")
                       (100 . "AcDbSymbolTableRecord")
       (100 . "AcDbLayerTableRecord")
                       (2 . "kontrol")                       
                       (70 . 0)
                       (62 . 150)
                       (6 . "CONTINUOUS")))))
        (vl-cmdf "_.change" ss "" "p" "layer" "kontrol" "")))(princ))


ehya (06.03.2018 15:41 GMT)

06.03.2018 14:04
86112    
elaura

[2] Girişimci

Online Durumu

4 ileti
İnşaat Teknikeri
İstanbul

Tam istediğim gibi çalışıyor. Çok teşekkürler Ehya

16.03.2018 13:20
86149    
tempuser

[2] Girişimci

Online Durumu

14 ileti
Teknik Ressam
İstanbul

Herkeze merhaba



Elimde 1x1 lik kapalı rectangle lar var, seçtiğim rectangle ların etrafına rectangle çizip ve ortasına 1 lik bir daire çizecek lisp e ihtiyacım var.

Teşekkürler.

16.03.2018 14:35
86150    
Travaci

[70] Editör

Online Durumu

2099 ileti
Teknik Ressam
Konstantinopol

tempuser


Kod:

(defun c:recir (/ ss ls)
  (if (setq ss (ssget (list (cons 0 "Lwpolyline") (cons 70 1))))
    (progn
      (foreach x (ssnamex ss) (if (= (type (cadr x)) 'ename)
        (setq ge (acet-ent-geomextents (cadr x))
              ls (append (list (car ge) (cadr ge)) ls))))
      (setq pl (acet-geom-list-extents ls))
      (acet-undo-begin) (setvar 'cmdecho 0)
      (vl-cmdf "_.rectang" (car pl) (cadr pl)
               "_.circle" (acet-geom-midpoint (car pl) (cadr pl)) "d" 1)
      (acet-undo-end)
    )
  ) (princ)
)

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 84 < [85] Sonraki Sayfa
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 2476 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam